Page 1 of 2

v2.1.6

Posted: Wed Dec 20, 2017 9:03 pm
by fracz
Nowa wersja clouda (minor) v2.1.6 została wydana. Aktualizacja instancji dockerowych wg tych instrukcji.

Nowe ficzury:
  • Możliwość wyłączenia captchy formularza rejestracji w configu
  • Możliwość stworzenia potwierdzonego konta użytkownika z konsoli

    Code: Select all

    php bin/console supla:create-confirmed-user
  • Poprawki, by Cloud działał z Dockerem, co pewnie już wiecie ;-)

Re: v2.1.6

Posted: Thu Dec 21, 2017 10:26 am
by mikers
uaktualniłem i nie otwiera mi sie strona, próbowałem ./clear_cache.sh
i dostaje coś takiego, dodam ze serwer działa bo łączy mi sie przez aplikację w iphone

Code: Select all

root@raspberrypi:/var/www/html# ./clear_cache.sh
PHP Fatal error:  Uncaught Symfony\Component\DependencyInjection\Exception\ParameterNotFoundException: You have requested a non-existent parameter "recaptcha_enabled". in /var/www/html/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ParameterBag/ParameterBag.php:100
Stack trace:
#0 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ParameterBag/EnvPlaceholderParameterBag.php(56): Symfony\Component\DependencyInjection\ParameterBag\ParameterBag->get('recaptcha_enabl...')
#1 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ParameterBag/ParameterBag.php(217): Symfony\Component\DependencyInjection\ParameterBag\EnvPlaceholderParameterBag->get('recaptcha_enabl...')
#2 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ParameterBag/ParameterBag.php(187): Symfony\Component\DependencyInjection\ParameterBag\ParameterBag->resolveString('%recaptcha_enab...', Array)
#3 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/DependencyIn in /var/www/html/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/ParameterBag/ParameterBag.php on line 100
PHP Fatal error:  Uncaught Symfony\Component\Debug\Exception\ClassNotFoundException: Attempted to load class "SensioGeneratorBundle" from namespace "Sensio\Bundle\GeneratorBundle".
Did you forget a "use" statement for another namespace? in /var/www/html/app/AppKernel.php:29
Stack trace:
#0 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php(450): AppKernel->registerBundles()
#1 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php(116): Symfony\Component\HttpKernel\Kernel->initializeBundles()
#2 /var/www/html/vendor/symfony/symfony/src/Symfony/Bundle/FrameworkBundle/Console/Application.php(137): Symfony\Component\HttpKernel\Kernel->boot()
#3 /var/www/html/vendor/symfony/symfony/src/Symfony/Bundle/FrameworkBundle/Console/Application.php(124): Symfony\Bundle\FrameworkBundle\Console\Application->registerCommands()
#4 /var/www/html/vendor/symfony/symfony/src/Symfony/Component/Console/Application.php(90): Symfony\Bundle\FrameworkBundle\Console\Application->add(Object(Symfony\C in /var/www/html/app/AppKernel.php on line 29

Re: v2.1.6

Posted: Thu Dec 21, 2017 12:11 pm
by fracz
Nie było jeszcze instrukcji aktualizacji na obrazowe maliny ;)

Ale na szybko żeby zaczęło działać to:

Code: Select all

echo "    recaptcha_enabled: false" >> /var/www/html/app/config/parameters.yml
cd /var/www/html
php bin/console --no-interaction doctrine:migrations:migrate
Skrypt tworzy @michael. Jak skończy to pewnie się odezwie :-)

Re: v2.1.6

Posted: Thu Dec 21, 2017 12:24 pm
by mikers
działa, dziękuje :)

Re: v2.1.6

Posted: Sat Dec 23, 2017 5:24 pm
by fracz
Kolega @michael jest nieśmiały i nie pochwalił się swoim skryptem, więc robię to w jego imieniu.



Aktualizacja malin do najnowszej wersji v2.1.6 (i pewnie przyszłych też) za pomocą poniższych komend.

Code: Select all

wget https://raw.githubusercontent.com/SUPLA/raspberry/master/server-rbpi3/update.sh
chmod +x update.sh
./update.sh

Re: v2.1.6

Posted: Sat Dec 23, 2017 6:19 pm
by mikers
wyskakuje mi coś takiego

Code: Select all

./update.sh: 44: ./update.sh: {SERVER_VERSION}-arm32v7/supla-server: not found
./update.sh: 45: ./update.sh: {SERVER_VERSION}-arm32v7/supla-scheduler: not found
chmod: cannot access ‘./supla-server-v’: No such file or directory
chmod: cannot access ‘./supla-server-v’: No such file or directory
mv: cannot stat ‘/var/www/html’: No such file or directory
tar: /var/www/html: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
cp: cannot stat ‘/var/www/html_old_12232017181645/app/config/parameters.yml’: No such file or directory
./update.sh: 71: ./update.sh: Syntax error: Unterminated quoted string
root@raspberrypi:~# 


Re: v2.1.6

Posted: Sat Dec 23, 2017 6:29 pm
by mariusz_70
mikers wrote:
Sat Dec 23, 2017 6:19 pm
wyskakuje mi coś takiego

Code: Select all

./update.sh: 44: ./update.sh: {SERVER_VERSION}-arm32v7/supla-server: not found
./update.sh: 45: ./update.sh: {SERVER_VERSION}-arm32v7/supla-scheduler: not found
chmod: cannot access ‘./supla-server-v’: No such file or directory
chmod: cannot access ‘./supla-server-v’: No such file or directory
mv: cannot stat ‘/var/www/html’: No such file or directory
tar: /var/www/html: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
cp: cannot stat ‘/var/www/html_old_12232017181645/app/config/parameters.yml’: No such file or directory
./update.sh: 71: ./update.sh: Syntax error: Unterminated quoted string
root@raspberrypi:~# 

dokładnie mam to samo

Re: v2.1.6

Posted: Sat Dec 23, 2017 6:57 pm
by fracz
Rzeczywiście, była literówka a nawet dwie.

Czekamy na merge: https://github.com/SUPLA/raspberry/pull/8

Żeby działało już to w pobranym pliku wprowadźcie zmiany tak jak w tym pr: https://github.com/SUPLA/raspberry/pull/8/files

Re: v2.1.6

Posted: Wed Dec 27, 2017 6:31 am
by michael
fracz wrote:
Sat Dec 23, 2017 5:24 pm
Kolega @michael jest nieśmiały i nie pochwalił się swoim skryptem, więc robię to w jego imieniu.



Aktualizacja malin do najnowszej wersji v2.1.6 (i pewnie przyszłych też) za pomocą poniższych komend.

Code: Select all

wget https://raw.githubusercontent.com/SUPLA/raspberry/master/server-rbpi3/update.sh
chmod +x update.sh
./update.sh
Przez święta nie włączałem komputera stąd moje milczenie :)

Re: v2.1.6

Posted: Thu Dec 28, 2017 6:55 pm
by Seba5120
I jak udała się wam ta aktualizacja malin? ;)
U mnie sypie błędami...

Code: Select all

chmod: błędne uprawnienia „-arm32v7”
Napisz „chmod --help” dla uzyskania informacji.
chmod: błędne uprawnienia „-arm32v7”
Napisz „chmod --help” dla uzyskania informacji.
tar: /var/www/html: Nie można open: Nie ma takiego pliku ani katalogu
tar: Error is not recoverable: exiting now
cp: nie można utworzyć zwykłego pliku „/var/www/html/app/config/”: Nie ma takiego pliku ani katalogu
./update.sh: 56: ./update.sh: Syntax error: "&" unexpected